Loading...
Searching...
No Matches
referenceelements.hh File Reference
`#include <cassert>`
`#include <algorithm>`
`#include <limits>`
`#include <tuple>`
`#include <utility>`
`#include <vector>`
`#include <array>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/std/type_traits.hh>`
`#include <dune/common/visibility.hh>`
`#include <dune/geometry/dimension.hh>`
`#include <dune/geometry/type.hh>`
`#include <dune/geometry/referenceelement.hh>`
`#include <dune/geometry/referenceelementimplementation.hh>`

Go to the source code of this file.

## Classes

struct | Dune::Geo::ReferenceElements< ctype_, dim >
| Class providing access to the singletons of the reference elements. More...
struct | Dune::ReferenceElements< ctype_, dim >
| Class providing access to the singletons of the reference elements. More...

## Namespaces

namespace | Dune
namespace | Dune::Geo

## Typedefs

template<typename... T>
using | Dune::ReferenceElement = decltype(referenceElement(std::declval<T>()...))

## Functions

template<typename... T>
unspecified value type | Dune::referenceElement (T &&... t)
| Returns a reference element for the objects t....
template<typename T, int dim>
auto | Dune::referenceElement (const Dune::GeometryType &gt, Dune::Dim< dim >={})
| Returns a reference element of dimension dim for the given geometry type and coordinate field type.
template<typename T, int dim, std::enable_if_t< IsNumber< std::decay_t< T > >::value, int > = 0>
auto | Dune::referenceElement (const T &, const Dune::GeometryType &gt, Dune::Dim< dim >)
| Returns a reference element of dimension dim for the given geometry type and coordinate field type.